import sqlite3
import pathlib


def create_table():
    cnt = None
    cursor = None

    try:
        # please remove this later,
        # it just removes the database for testing
        #pathlib.Path.unlink("./stats.db")

        conn = sqlite3.connect('stats.db')
        cursor = conn.cursor()
        print('DB Init')
        query = 'select sqlite_version();'
        cursor.execute(query)

        result = cursor.fetchall()
        print('SQLite Version is {}'.format(result))
    except sqlite3.Error as error:
        print('Error occurred - ', error)
    game_tables = [''' CREATE TABLE IF NOT EXISTS WORDLE(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS CONNECTIONS(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        PERFECTS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        PERFECT_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS SATLE(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS GLOBLE(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS AIRPORT_GUESSR(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS WHERETAKEN(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        DISTANCE REAL NOT NULL,
                        DISTANCE_AVG REAL NOT NULL,
                        POINTS INTEGER NOT NULL,
                        POINTS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS WHENTAKEN(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        DISTANCE REAL NOT NULL,
                        DISTANCE_AVG REAL NOT NULL,
                        POINTS INTEGER NOT NULL,
                        POINTS_AVG REAL NOT NULL,
                        YEARS INTEGER NOT NULL,
                        YEARS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS FLAGLE(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS COSTCODLE(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS CHRONO(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS GENSHINDLE(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS PLANESPOTTLE(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                    ''' CREATE TABLE IF NOT EXISTS TRAVLE(
                        NAME INTEGER PRIMARY KEY NOT NULL,
                        GAMES INTEGER NOT NULL,
                        WINS INTEGER NOT NULL,
                        PERFECTS INTEGER NOT NULL,
                        WIN_RATE REAL NOT NULL,
                        PERFECT_RATE REAL NOT NULL,
                        GUESSES INTEGER NOT NULL,
                        GUESS_AVG REAL NOT NULL,
                        LAST_SYNC INTEGER NOT NULL
                    );  ''',
                   ]

    for table in game_tables:
        cursor.execute(table)

    conn.commit()
    conn.close()
    print("Tables Created")

